org.apache.ode.bpel.iapi

## Enum MessageExchange.Status

- java.lang.Object
- - java.lang.Enum<MessageExchange.Status>
  - - org.apache.ode.bpel.iapi.MessageExchange.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageExchange.Status>
  Enclosing interface:
    MessageExchange

      public static enum MessageExchange.Status
      extends java.lang.Enum<MessageExchange.Status>

  Enumeration of the possible states for the message exchange.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNC` Waiting for an asynchronous response from the "server"
    `COMPLETED_FAILURE` Message exchange completed with a failure.
    `COMPLETED_FAULT` Message exchange completed with a fault.
    `COMPLETED_OK` Message exchange completed succesfully.
    `FAILURE` Processing a failure.
    `FAULT` Processing the fault received from the "server".
    `NEW` New message exchange, has not been "invoked"
    `REQUEST` The request is being sent to the "server"
    `RESPONSE` Processing the response received from the "server".

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageExchange.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageExchange.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final MessageExchange.Status NEW

      New message exchange, has not been "invoked"

    - #### REQUEST

          public static final MessageExchange.Status REQUEST

      The request is being sent to the "server"

    - #### ASYNC

          public static final MessageExchange.Status ASYNC

      Waiting for an asynchronous response from the "server"

    - #### RESPONSE

          public static final MessageExchange.Status RESPONSE

      Processing the response received from the "server".

    - #### FAULT

          public static final MessageExchange.Status FAULT

      Processing the fault received from the "server".

    - #### FAILURE

          public static final MessageExchange.Status FAILURE

      Processing a failure.

    - #### COMPLETED_OK

          public static final MessageExchange.Status COMPLETED_OK

      Message exchange completed succesfully.

    - #### COMPLETED_FAULT

          public static final MessageExchange.Status COMPLETED_FAULT

      Message exchange completed with a fault.

    - #### COMPLETED_FAILURE

          public static final MessageExchange.Status COMPLETED_FAILURE

      Message exchange completed with a failure.

  - ### Method Detail

    - #### values

          public static MessageExchange.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageExchange.Status c : MessageExchange.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageExchange.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null